#!/usr/bin/env node

const { execSync } = require('child_process');
const path = require('path');

function runCmd(cmd) {
  try {
    const output = execSync(cmd, { stdio: 'inherit' });
    console.log(`Command "${cmd}" completed successfully.`);
  } catch (error) {
    console.error(`Command "${cmd}" exited with an error.`);
    process.exit(1);
  }
}

const crossEnvCmd = path.join('node_modules', 'cross-env', 'src', 'bin', 'cross-env.js');
const gulpCmd = path.join('node_modules', '.bin', 'gulp');

runCmd(`node ${crossEnvCmd} NODE_ENV=prod ${gulpCmd}`);
runCmd(`${gulpCmd} serve`);
